summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2011-12-28 05:44:14 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-31 00:24:40 -0600
commitac21e61dff501595e373ee86cab33adc860e23f5 (patch)
treefac786b2d147afa7692874513751cc0be87352ea /graphics
parent085efb5f49b4558205d763106465dbc7b127a1e6 (diff)
downloadslackbuilds-ac21e61dff501595e373ee86cab33adc860e23f5.tar.gz
slackbuilds-ac21e61dff501595e373ee86cab33adc860e23f5.tar.xz
graphics/screengrab: Added (screenshot grabber)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/screengrab/README6
-rw-r--r--graphics/screengrab/doinst.sh3
-rw-r--r--graphics/screengrab/screengrab.SlackBuild77
-rw-r--r--graphics/screengrab/screengrab.info10
-rw-r--r--graphics/screengrab/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/graphics/screengrab/README b/graphics/screengrab/README
new file mode 100644
index 0000000000..8f980b0a01
--- /dev/null
+++ b/graphics/screengrab/README
@@ -0,0 +1,6 @@
+screengrab (screenshot grabber)
+
+Screengrab is an application for taking screenshots written in Qt.
+It can grab screenshot (also with a delay and using shortcuts) of the
+desktop, of the active window and of a selected area; it can copy the
+result in the clipboard and save it in jpg or png format.
diff --git a/graphics/screengrab/doinst.sh b/graphics/screengrab/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/screengrab/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/screengrab/screengrab.SlackBuild b/graphics/screengrab/screengrab.SlackBuild
new file mode 100644
index 0000000000..f9c938fa64
--- /dev/null
+++ b/graphics/screengrab/screengrab.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for screengrab
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=screengrab
+VERSION=${VERSION:-0.9.85}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# move the docs in slackware standard location
+mkdir $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/screengrab/screengrab.info b/graphics/screengrab/screengrab.info
new file mode 100644
index 0000000000..39ba777621
--- /dev/null
+++ b/graphics/screengrab/screengrab.info
@@ -0,0 +1,10 @@
+PRGNAM="screengrab"
+VERSION="0.9.85"
+HOMEPAGE="http://code.google.com/p/screengrab-qt/"
+DOWNLOAD="http://screengrab-qt.googlecode.com/files/screengrab-0.9.85.tar.gz"
+MD5SUM="4773aa90c1f2da9098a5abf6f33f8c15"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/graphics/screengrab/slack-desc b/graphics/screengrab/slack-desc
new file mode 100644
index 0000000000..cf866c879f
--- /dev/null
+++ b/graphics/screengrab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+screengrab: screengrab (screenshot grabber)
+screengrab:
+screengrab: Screengrab is an application for taking screenshots written in Qt.
+screengrab: It can grab screenshot (also with a delay and using shortcuts) of the
+screengrab: desktop, of the active window and of a selected area; it can copy the
+screengrab: result in the clipboard and save it in jpg or png format.
+screengrab:
+screengrab: homepage: http://code.google.com/p/screengrab-qt/
+screengrab:
+screengrab:
+screengrab: